FROM node:24.11.0-alpine

WORKDIR /app

# Копируем package.json и устанавливаем зависимости
COPY package.json ./
RUN npm install --omit=dev

# Копируем исходный код
COPY . .

# Создаем директории для логов
RUN mkdir -p /app/logs /app/data

# Создаем непривилегированного пользователя
RUN addgroup -g 1001 -S nodejs
RUN adduser -S analytics -u 1001

# Меняем владельца файлов
RUN chown -R analytics:nodejs /app

USER analytics

EXPOSE 3000

CMD ["node", "server.js"]